> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Mint Request

> Get a mint request using its ID



## OpenAPI

````yaml /v2/openapi.yaml get /v2/issuance/mints/{id}
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/issuance/mints/{id}:
    get:
      tags:
        - Issuance
      summary: Get Mint Request
      description: Get a mint request using its ID
      operationId: bastion.api.v2.API.GetMint
      parameters:
        - name: id
          in: path
          description: Unique identifier for the mint request
          required: true
          schema:
            type: string
            title: id
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bastion.api.v2.issuance.Mint'
        '400':
          description: Bad request
        '404':
          description: Resource not found
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.api.v2.issuance.Mint:
      type: object
      properties:
        id:
          type: string
          title: id
          description: Unique identifier for the mint request
          readOnly: true
        amount:
          type: string
          title: amount
          description: Amount of the asset to be minted
          readOnly: true
        chain:
          $ref: >-
            #/components/schemas/bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN
          title: chain
          description: Blockchain network for the mint
          readOnly: true
        mint_address_id:
          type: string
          title: mint_address_id
          description: Unique identifier of the mint destination address
          readOnly: true
        status:
          $ref: '#/components/schemas/bastion.api.v2.issuance.Status'
          title: status
          description: Status of the mint request
          readOnly: true
        external_tx_id:
          type: string
          title: external_tx_id
          description: External transaction id of the mint request
          readOnly: true
        identity_id:
          type: string
          title: identity_id
          description: Unique identifier of the identity enacting this mint request
          readOnly: true
        stablecoin_symbol:
          type: string
          title: stablecoin_symbol
          description: Symbol of the stablecoin being minted
          readOnly: true
      title: Mint
      additionalProperties: false
    bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN:
      type: string
      title: ISSUANCE_SUPPORTED_CHAIN
      enum:
        - ISSUANCE_SUPPORTED_CHAIN_UNSPECIFIED
        - SOLANA_DEVNET
        - SOLANA_MAINNET
      example: SOLANA_DEVNET
    bastion.api.v2.issuance.Status:
      type: string
      title: Status
      enum:
        - STATUS_UNSPECIFIED
        - ACCEPTED
        - SUBMITTED
        - COMPLETED
        - DENIED
        - FAILED
        - CANCELLED
      example: ACCEPTED
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [Get Mint Instructions](/v2/api-reference/issuance/get-mint-instructions.md)
- [Get Mint Destination Address](/v2/api-reference/issuance/get-mint-destination-address.md)
- [Get Redemption Request](/v2/api-reference/issuance/get-redemption-request.md)
- [List Mints](/v2/api-reference/issuance/list-mints.md)
- [List Mint Destination Addresses](/v2/api-reference/issuance/list-mint-destination-addresses.md)
